import request from "@/utils/request";

export function snailList(query) {
  return request({
    url: '/snail/job/jobList',
    method: 'get',
    params: query
  })
}
export function addSnail(data) {
  return request({
    url: "/snail/job",
    method: 'post',
    data:data
  });
}
export function snailDe(query) {
  return request({
    url: '/snail/job/getJobDetail',
    method: 'get',
    params: query
  })
}
export function snailEdit(data) {
  return request({
    url: '/snail/job',
    method: 'put',
    data: data
  })
}
export function delSnamil(id) {
  return request({
    url: '/snail/job/job',
    method: 'delete',
    params: id
  })
}
export function snailSta(query) {
  return request({
    url: '/snail/job/updateJobStatus',
    method: 'get',
    params: query
  })
}
export function snailTri(query) {
  return request({
    url: '/snail/job/triggerJob',
    method: 'get',
    params: query
  })
}